お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2015-04-28 20:02:39

memeds
新しいメンバ
登録日: 2015-04-26

yumでepelリポジトリを追加したい

ubuntu14.10です。

yumでepelリポジトリを追加したいのですが、下記のコマンドを実行すると

sudo yum-config-manager --enable <epel>

bash: 予期しないトークン `newline' 周辺に構文エラーがあります

と出ます。

対処法を教えてください。

オフライン

 

#2 2015-04-28 20:49:30

array
メンバ
登録日: 2007-03-13

Re: yumでepelリポジトリを追加したい

yumコマンドはRed Hat系のLinuxのコマンドでUbuntu(Debian)系ではaptになります。
ただ、そのレポジトリはRed Hat系の物しか無いと思うので、別途Ubuntuで使えるレポジトリを探す必要があります。

オフライン

 

#3 2015-04-29 21:30:08

memeds
新しいメンバ
登録日: 2015-04-26

Re: yumでepelリポジトリを追加したい

gtk2-devel.x86_64 というパッケージをインストールしたいのですが、良いレポジトリはありますか?

オフライン

 

#4 2015-04-29 22:26:09

si
メンバ
From: hokkaido kitami, jp
登録日: 2007-01-15

Re: yumでepelリポジトリを追加したい

memeds による投稿:

gtk2-devel.x86_64 というパッケージをインストールしたいのですが、良いレポジトリはありますか?

*-devel というパッケージ名は、RedHat 系のLinuxで使われる開発向けのパッケージ名です。
Ubuntu( debian 系 )では、 *-dev という名前が使われます。
多分、libgtk2.0-dev でいいんじゃないかな?

オフライン

 

#5 2015-04-29 22:50:55

memeds
新しいメンバ
登録日: 2015-04-26

Re: yumでepelリポジトリを追加したい

既にインストール(libgtk2.0-dev)されていましたが、エラーがでます、、、

http://blogs.yahoo.co.jp/airmikan/33712965.html

実はこのサイトに書かれているエラーが、別の作業の際に出たために、このサイトの手順通りにやっているところです。

オフライン

 

#6 2015-04-30 00:17:13

katsu07
ゲスト

Re: yumでepelリポジトリを追加したい

私の環境はubuntu 14.04なのですが、aptコマンドで探すと以下が出てきます。

コード:

$ apt list opencv*
opencv-data/trusty 2.4.8+dfsg1-2ubuntu1 all
opencv-doc/trusty 2.4.8+dfsg1-2ubuntu1 all

これとは違う物を求めているのかもしれませんが、コマンドが解らなければソフトウェアセンターで「opencv」で検索すると候補がたくさん出てきますよ。
ubuntu 14.10ではバージョンが2.4.9+dfsg-1ubuntu4の様です。

 

#7 2015-04-30 01:01:02

のんき
メンバ
登録日: 2007-03-04

Re: yumでepelリポジトリを追加したい

Ubuntu系でのOpenCV環境構築は下記URLが参考になると思います。
Ubuntu 14.04 と 14.10ではそんなに違いはないと思います。
違っていたらごめんなさい。

LinuxでOpenCVの環境を構築してみる。(ホリバ研究室)
http://www.icrus.org/horiba/article/2014_11_07_01.php

オフライン

 

Board footer

Powered by FluxBB